.dynamic-width-text-section .dynamic-image-and-text-bg .section__image--mobile,
.dynamic-width-text-section .block__image--mobile {
    display: none;
}

.dynamic-width-text-section .dynamic-image-and-text-bg svg {
    width: 100%;
    height: 100%;
}

.dynamic-width-text-section .dynamic-image-and-text-bg video {
    width: 100%;
}

.dynamic-width-text-section .dynamic-image-and-text {
    position: relative;
}

.dynamic-width-text-section .dynamic-image-and-text-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.dynamic-width-text-section .dynamic-image .block__image--desktop {
    max-width: 450px;
    max-height: 450px;
}

.dynamic-width-text-section .block__image--mobile,
.dynamic-width-text-section .block__image--desktop,
.dynamic-width-text-section .section__image--desktop,
.dynamic-width-text-section .section__image--mobile {
    height: 100%;
}

.dynamic-width-text-section .block__image--desktop img {
    transition: transform 0.4s cubic-bezier(0.25, 0.1, 0.25, 1);
}

.dynamic-width-text-section:hover .block__image--desktop img {
    transform: scale(1.05);
}

.dynamic-width-text-section .section__image--desktop,
.dynamic-width-text-section .section__image--mobile {
    border-radius: 5px;
    overflow: hidden;
}

.dynamic-width-text-section .dynamic-image.is-flex {
    display: flex;
    justify-content: center;
    flex-direction: row;
}

.dynamic-width-text-section .dynamic-image-and-text-group {
    position: relative;
    z-index: 2;
    width: 100%;
    min-height: 650px;
}

.dynamic-width-text-section .dynamic-image img {
    object-fit: unset;
}

.dynamic-width-text-section .dynamic-image video,
.dynamic-width-text-section .dynamic-image svg {
    width: 100%;
    height: 100%;
}


.dynamic-width-text-section .dynamic-line-box {
    width: 100%;
}

.dynamic-width-text-section .dynamic-line {
    width: 100%;
    height: var(--desktop-dividing-line-height);
    background: var(--dividing-line-color);
}

.dynamic-width-text-section .dynamic-group {
    width: 100%;
    height: 100%;
    padding: 80px 50px;
}

.dynamic-width-text-section .text-icon {
    width: var(--icon-width-desktop);
    height: var(--icon-height-desktop);
}

@media screen and (max-width:959px) {

    .dynamic-width-text-section .dynamic-image-and-text-bg .section__image--desktop,
    .dynamic-width-text-section .block__image--desktop {
        display: none;
    }

    .dynamic-width-text-section .text-icon {
        width: var(--icon-width-mobile);
        height: var(--icon-height-mobile);
    }

    .dynamic-width-text-section .dynamic-image-and-text-bg .section__image--mobile,
    .dynamic-width-text-section .block__image--mobile {
        display: block;
        position: relative;
    }

    .dynamic-width-text-section .dynamic-group {
        padding: 50px 20px;
    }

    /* .dynamic-width-text-section .dynamic-image-and-text-bg video {
        width: auto;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
    } */

    .dynamic-width-text-section .flex-reserve {
        flex-direction: column-reverse;
    }

    .dynamic-width-text-section .dynamic-line {
        height: var(--dividing-line-height);
    }

    .dynamic-width-text-section .hidden-mobile {
        display: none;
    }

    .dynamic-width-text-section .dynamic-image-and-text-group {
        min-height: unset;
    }

    .dynamic-width-text-section .block-text-group.display-grid {
        display: grid;
        grid-template-columns: repeat(var(--gird-template), 1fr);
    }
}